Loading...
Searching...
No Matches
factoryconf.h File Reference

factoryconf.h' serves as a configuration file for the installed source files (templates and factory.h') the same way as config.h' serves as a configuration file for the source files from which the library is build. More...

`#include "factory/globaldefs.h"`
`#include <cstdio>`
`#include <cstdlib>`

Go to the source code of this file.

## Macros

#define | _FACTORY_CONFIG_H 1
#define | CF_USE_INLINE 1
#define | DISABLE_GMP_CPP 1

#define

FACTORYCONFIGURATION "' '--disable-option-checking' '--prefix=/usr' '--build=x86_64-linux-gnu' '--includedir=${prefix}/include' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--disable-silent-rules' '--libdir=${prefix}/lib/x86_64-linux-gnu' '--runstatedir=/run' '--disable-maintainer-mode' '--disable-dependency-tracking' '--libexecdir=/usr/libexec/x86_64-linux-gnu' '--htmldir=/usr/share/doc/singular/html' '--with-libparse' '--enable-streamio' 'build_alias=x86_64-linux-gnu' 'CC=x86_64-linux-gnu-gcc' 'CFLAGS=-g -O2 -Werror=implicit-function-declaration -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fdebug-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=/usr/src/singular-1:4.4.1.5+ds-2build1' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,--package-metadata=%7B%22type%22:%22deb%22%2C%22os%22:%22ubuntu%22%2C%22name%22:%22singular%22%2C%22version%22:%221:4.4.1.5+ds-2build1%22%2C%22architecture%22:%22amd64%22%7D -flto=auto -ffat-lto-objects -Wl,-z,relro -Wl,-z,now' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=3' 'CXX=x86_64-linux-gnu-g++' 'CXXFLAGS=-g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fdebug-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=/usr/src/singular-1:4.4.1.5+ds-2build1' 'PYTHON=/usr/bin/python3' '--enable-omalloc' 'OMALLOC_LIBS=/build/singular-xmaZzg/singular-4.4.1.5+ds/omalloc/libsingular-omalloc.la' 'OMALLOC_INCLUDES=-I/build/singular-xmaZzg/singular-4.4.1.5+ds' '--with-Singular' 'RESOURCES_LIBS=/build/singular-xmaZzg/singular-4.4.1.5+ds/resources/libsingular-resources.la' 'RESOURCES_INCLUDES=-I/build/singular-xmaZzg/singular-4.4.1.5+ds ' 'FACTORY_LIBS=/build/singular-xmaZzg/singular-4.4.1.5+ds/factory/libsingular-factory.la' 'FACTORY_INCLUDES=-I/build/singular-xmaZzg/singular-4.4.1.5+ds -I/build/singular-xmaZzg/singular-4.4.1.5+ds/factory -I/build/singular-xmaZzg/singular-4.4.1.5+ds/factory/include' '--cache-file=/dev/null' '--srcdir=.'' in /build/singular-xmaZzg/singular-4.4.1.5+ds/factory"

#define | FACTORYVERSION "4.4.1"
#define | HAVE_CSTDIO 1
#define | HAVE_CTYPE_H 1
#define | HAVE_DLFCN_H 1
#define | HAVE_ERRNO_H 1
#define | HAVE_FSTREAM 1
#define | HAVE_INTTYPES_H 1
#define | HAVE_LIBM 1
#define | HAVE_MATH_H 1
#define | HAVE_SIGNAL_H 1
#define | HAVE_STDARG_H 1
#define | HAVE_STDINT_H 1
#define | HAVE_STDIO_H 1
#define | HAVE_STDLIB_H 1
#define | HAVE_STRING 1
#define | HAVE_STRINGS_H 1
#define | HAVE_STRING_H 1
#define | HAVE_SYS_STAT_H 1
#define | HAVE_SYS_TYPES_H 1
#define | HAVE_TIME_H 1
#define | HAVE_UNISTD_H 1
#define | LT_OBJDIR ".libs/"
#define | OM_NDEBUG 1
#define | PACKAGE "factory"
#define | PACKAGE_BUGREPORT ""
#define | PACKAGE_NAME "factory"
#define | PACKAGE_STRING "factory 4.4.1"
#define | PACKAGE_TARNAME "factory"
#define | PACKAGE_URL ""
#define | PACKAGE_VERSION "4.4.1"
#define | SINGULAR_CFLAGS "-DSING_NDEBUG -DOM_NDEBUG"
#define | SING_NDEBUG 1
#define | STDC_HEADERS 1
#define | VERSION "4.4.1"
#define | NOASSERT
#define | __ASSERT(expression, message, file, line)
#define | __ASSERT1(expression, message, parameter1, file, line)
#define | STICKYASSERT(expression, message)
#define | STICKYASSERT1(expression, message, parameter1)
#define | __WARN(expression, message, file, line)
#define | STICKYWARN(expression, message)
#define | ASSERT(expression, message)
#define | ASSERT1(expression, message, parameter1)
#define | WARN(expression, message)
#define | PVIRT_VOID(msg)
#define | PVIRT_INTCF(msg)
#define | PVIRT_BOOL(msg)
#define | PVIRT_INT(msg)
#define | PVIRT_CHARCC(msg)

## Detailed Description

factoryconf.h' serves as a configuration file for the installed source files (templates and factory.h') the same way as config.h' serves as a configuration file for the source files from which the library is build.

Additionally, we paste a copy of our cf_assert.h' into this file which is necessary for the templates to translate.

Definition in file factoryconf.h.

## Macro Definition Documentation

## __ASSERT

#define __ASSERT | ( |  | expression,
|  |  | message,
|  |  | file,
|  |  | line )

Value:
(fprintf( stderr, "error: " message "\n%s:%u: failed assertion `%s'\n", \
file, line, expression ), abort(), 0 )
message
void message(int i, int *olddeg, int *reduc, kStrategy strat, int red_result)
Definition kutil.cc:7463

Definition at line 350 of file factoryconf.h.

#define __ASSERT(expression, message, file, line) \
(fprintf( stderr, "error: " message "\n%s:%u: failed assertion `%s'\n", \
file, line, expression ), abort(), 0 )

## __ASSERT1

#define __ASSERT1 | ( |  | expression,
|  |  | message,
|  |  | parameter1,
|  |  | file,
|  |  | line )

Value:
(fprintf( stderr, "error: " message "\n%s:%u: failed assertion `%s'\n", \
parameter1, file, line, expression ), abort(), 0 )

Definition at line 353 of file factoryconf.h.

#define __ASSERT1(expression, message, parameter1, file, line) \
(fprintf( stderr, "error: " message "\n%s:%u: failed assertion `%s'\n", \
parameter1, file, line, expression ), abort(), 0 )

## __WARN

#define __WARN | ( |  | expression,
|  |  | message,
|  |  | file,
|  |  | line )

Value:
(fprintf( stderr, "warning: " message "\n%s:%u: failed assertion `%s'\n", \
file, line, expression ), 0 )

Definition at line 362 of file factoryconf.h.

#define __WARN(expression, message, file, line) \
(fprintf( stderr, "warning: " message "\n%s:%u: failed assertion `%s'\n", \
file, line, expression ), 0 )

## _FACTORY_CONFIG_H

#define _FACTORY_CONFIG_H 1

Definition at line 26 of file factoryconf.h.

## ASSERT

#define ASSERT | ( |  | expression,
|  |  | message )

Value:
do {} while (0)

Definition at line 421 of file factoryconf.h.

## ASSERT1

#define ASSERT1 | ( |  | expression,
|  |  | message,
|  |  | parameter1 )

Value:
do {} while (0)

Definition at line 422 of file factoryconf.h.

## CF_USE_INLINE

#define CF_USE_INLINE 1

Definition at line 35 of file factoryconf.h.

## DISABLE_GMP_CPP

#define DISABLE_GMP_CPP 1

Definition at line 43 of file factoryconf.h.

## FACTORYCONFIGURATION

#define FACTORYCONFIGURATION "' '--disable-option-checking' '--prefix=/usr' '--build=x86_64-linux-gnu' '--includedir=${prefix}/include' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--disable-silent-rules' '--libdir=${prefix}/lib/x86_64-linux-gnu' '--runstatedir=/run' '--disable-maintainer-mode' '--disable-dependency-tracking' '--libexecdir=/usr/libexec/x86_64-linux-gnu' '--htmldir=/usr/share/doc/singular/html' '--with-libparse' '--enable-streamio' 'build_alias=x86_64-linux-gnu' 'CC=x86_64-linux-gnu-gcc' 'CFLAGS=-g -O2 -Werror=implicit-function-declaration -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fdebug-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=/usr/src/singular-1:4.4.1.5+ds-2build1' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,--package-metadata=%7B%22type%22:%22deb%22%2C%22os%22:%22ubuntu%22%2C%22name%22:%22singular%22%2C%22version%22:%221:4.4.1.5+ds-2build1%22%2C%22architecture%22:%22amd64%22%7D -flto=auto -ffat-lto-objects -Wl,-z,relro -Wl,-z,now' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=3' 'CXX=x86_64-linux-gnu-g++' 'CXXFLAGS=-g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -fdebug-prefix-map=/build/singular-xmaZzg/singular-4.4.1.5+ds=/usr/src/singular-1:4.4.1.5+ds-2build1' 'PYTHON=/usr/bin/python3' '--enable-omalloc' 'OMALLOC_LIBS=/build/singular-xmaZzg/singular-4.4.1.5+ds/omalloc/libsingular-omalloc.la' 'OMALLOC_INCLUDES=-I/build/singular-xmaZzg/singular-4.4.1.5+ds' '--with-Singular' 'RESOURCES_LIBS=/build/singular-xmaZzg/singular-4.4.1.5+ds/resources/libsingular-resources.la' 'RESOURCES_INCLUDES=-I/build/singular-xmaZzg/singular-4.4.1.5+ds ' 'FACTORY_LIBS=/build/singular-xmaZzg/singular-4.4.1.5+ds/factory/libsingular-factory.la' 'FACTORY_INCLUDES=-I/build/singular-xmaZzg/singular-4.4.1.5+ds -I/build/singular-xmaZzg/singular-4.4.1.5+ds/factory -I/build/singular-xmaZzg/singular-4.4.1.5+ds/factory/include' '--cache-file=/dev/null' '--srcdir=.'' in /build/singular-xmaZzg/singular-4.4.1.5+ds/factory"

Definition at line 48 of file factoryconf.h.

## FACTORYVERSION

#define FACTORYVERSION "4.4.1"

Definition at line 53 of file factoryconf.h.

## HAVE_CSTDIO

#define HAVE_CSTDIO 1

Definition at line 58 of file factoryconf.h.

## HAVE_CTYPE_H

#define HAVE_CTYPE_H 1

Definition at line 63 of file factoryconf.h.

## HAVE_DLFCN_H

#define HAVE_DLFCN_H 1

Definition at line 68 of file factoryconf.h.

## HAVE_ERRNO_H

#define HAVE_ERRNO_H 1

Definition at line 73 of file factoryconf.h.

## HAVE_FSTREAM

#define HAVE_FSTREAM 1

Definition at line 83 of file factoryconf.h.

## HAVE_INTTYPES_H

#define HAVE_INTTYPES_H 1

Definition at line 91 of file factoryconf.h.

## HAVE_LIBM

#define HAVE_LIBM 1

Definition at line 104 of file factoryconf.h.

## HAVE_MATH_H

#define HAVE_MATH_H 1

Definition at line 109 of file factoryconf.h.

## HAVE_SIGNAL_H

#define HAVE_SIGNAL_H 1

Definition at line 127 of file factoryconf.h.

## HAVE_STDARG_H

#define HAVE_STDARG_H 1

Definition at line 132 of file factoryconf.h.

## HAVE_STDINT_H

#define HAVE_STDINT_H 1

Definition at line 137 of file factoryconf.h.

## HAVE_STDIO_H

#define HAVE_STDIO_H 1

Definition at line 142 of file factoryconf.h.

## HAVE_STDLIB_H

#define HAVE_STDLIB_H 1

Definition at line 147 of file factoryconf.h.

## HAVE_STRING

#define HAVE_STRING 1

Definition at line 152 of file factoryconf.h.

## HAVE_STRING_H

#define HAVE_STRING_H 1

Definition at line 162 of file factoryconf.h.

## HAVE_STRINGS_H

#define HAVE_STRINGS_H 1

Definition at line 157 of file factoryconf.h.

## HAVE_SYS_STAT_H

#define HAVE_SYS_STAT_H 1

Definition at line 173 of file factoryconf.h.

## HAVE_SYS_TYPES_H

#define HAVE_SYS_TYPES_H 1

Definition at line 181 of file factoryconf.h.

## HAVE_TIME_H

#define HAVE_TIME_H 1

Definition at line 186 of file factoryconf.h.

## HAVE_UNISTD_H

#define HAVE_UNISTD_H 1

Definition at line 191 of file factoryconf.h.

## LT_OBJDIR

#define LT_OBJDIR ".libs/"

Definition at line 196 of file factoryconf.h.

## NOASSERT

#define NOASSERT

Definition at line 306 of file factoryconf.h.

## OM_NDEBUG

#define OM_NDEBUG 1

Definition at line 207 of file factoryconf.h.

## PACKAGE

#define PACKAGE "factory"

Definition at line 212 of file factoryconf.h.

## PACKAGE_BUGREPORT

#define PACKAGE_BUGREPORT ""

Definition at line 217 of file factoryconf.h.

## PACKAGE_NAME

#define PACKAGE_NAME "factory"

Definition at line 222 of file factoryconf.h.

## PACKAGE_STRING

#define PACKAGE_STRING "factory 4.4.1"

Definition at line 227 of file factoryconf.h.

## PACKAGE_TARNAME

#define PACKAGE_TARNAME "factory"

Definition at line 232 of file factoryconf.h.

## PACKAGE_URL

#define PACKAGE_URL ""

Definition at line 237 of file factoryconf.h.

## PACKAGE_VERSION

#define PACKAGE_VERSION "4.4.1"

Definition at line 242 of file factoryconf.h.

## PVIRT_BOOL

#define PVIRT_BOOL | ( |  | msg | ) |

Value:
= 0

Definition at line 428 of file factoryconf.h.

## PVIRT_CHARCC

#define PVIRT_CHARCC | ( |  | msg | ) |

Value:
= 0

Definition at line 430 of file factoryconf.h.

## PVIRT_INT

#define PVIRT_INT | ( |  | msg | ) |

Value:
= 0

Definition at line 429 of file factoryconf.h.

## PVIRT_INTCF

#define PVIRT_INTCF | ( |  | msg | ) |

Value:
= 0

Definition at line 427 of file factoryconf.h.

## PVIRT_VOID

#define PVIRT_VOID | ( |  | msg | ) |

Value:
= 0

Definition at line 426 of file factoryconf.h.

## SING_NDEBUG

#define SING_NDEBUG 1

Definition at line 257 of file factoryconf.h.

## SINGULAR_CFLAGS

#define SINGULAR_CFLAGS "-DSING_NDEBUG -DOM_NDEBUG"

Definition at line 252 of file factoryconf.h.

## STDC_HEADERS

#define STDC_HEADERS 1

Definition at line 269 of file factoryconf.h.

## STICKYASSERT

#define STICKYASSERT | ( |  | expression,
|  |  | message )

Value:
((void)((expression) ? 0 : __ASSERT(#expression, message, __FILE__, __LINE__)))
__ASSERT
#define __ASSERT(expression, message, file, line)
Definition cf_assert.h:57

Definition at line 357 of file factoryconf.h.

#define STICKYASSERT(expression, message) \
((void)((expression) ? 0 : __ASSERT(#expression, message, __FILE__, __LINE__)))

## STICKYASSERT1

#define STICKYASSERT1 | ( |  | expression,
|  |  | message,
|  |  | parameter1 )

Value:
((void)((expression) ? 0 : __ASSERT1(#expression, message, parameter1, __FILE__, __LINE__)))
__ASSERT1
#define __ASSERT1(expression, message, parameter1, file, line)
Definition cf_assert.h:60

Definition at line 359 of file factoryconf.h.

#define STICKYASSERT1(expression, message, parameter1) \
((void)((expression) ? 0 : __ASSERT1(#expression, message, parameter1, __FILE__, __LINE__)))

## STICKYWARN

#define STICKYWARN | ( |  | expression,
|  |  | message )

Value:
((void)((expression) ? 0 : __WARN(#expression, message, __FILE__, __LINE__)))
__WARN
#define __WARN(expression, message, file, line)
Definition cf_assert.h:69

Definition at line 365 of file factoryconf.h.

#define STICKYWARN(expression, message) \
((void)((expression) ? 0 : __WARN(#expression, message, __FILE__, __LINE__)))

## VERSION

#define VERSION "4.4.1"

Definition at line 277 of file factoryconf.h.

## WARN

#define WARN | ( |  | expression,
|  |  | message )

Value:
do {} while (0)

Definition at line 424 of file factoryconf.h.